SaxonOutputKeys
Date: 2016-07-03

com.icl.saxon.output

## Class SaxonOutputKeys

- java.lang.Object
- - com.icl.saxon.output.SaxonOutputKeys

-     public class SaxonOutputKeys
      extends java.lang.Object

  Provides string constants that can be used to set output properties for a Transformer, or to retrieve output properties from a Transformer or Templates object. These keys are private Saxon keys that supplement the standard keys defined in javax.xml.transform.OutputKeys

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CHARACTER_REPRESENTATION` representation = rep1[;rep2].
    `static java.lang.String` | `INDENT_SPACES` indentSpaces = integer.
    `static java.lang.String` | `NEXT_IN_CHAIN` saxon:next-in-chain = URI.
    `static java.lang.String` | `NEXT_IN_CHAIN_BASE_URI`
    `static java.lang.String` | `OMIT_META_TAG` include-html-meta-tag = "yes" | "no".
    `static java.lang.String` | `REQUIRE_WELL_FORMED` saxon:require-well-formed = yes|no.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SaxonOutputKeys()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isValidOutputKey(java.lang.String key)` Check that a supplied output key is valid

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INDENT_SPACES

          public static final java.lang.String INDENT_SPACES

      indentSpaces = integer.

      Defines the number of spaces used for indentation of output

      See Also:
        Constant Field Values

    - #### OMIT_META_TAG

          public static final java.lang.String OMIT_META_TAG

      include-html-meta-tag = "yes" | "no".

      Indicates whether the META tag is to be added to HTML output

      See Also:
        Constant Field Values

    - #### CHARACTER_REPRESENTATION

          public static final java.lang.String CHARACTER_REPRESENTATION

      representation = rep1[;rep2].

      Indicates the preferred way of representing non-ASCII characters in HTML and XML output. rep1 is for characters in the range 128-256, rep2 for those above 256.

      See Also:
        Constant Field Values

    - #### NEXT_IN_CHAIN

          public static final java.lang.String NEXT_IN_CHAIN

      saxon:next-in-chain = URI.

      Indicates that the output is to be piped into another XSLT stylesheet to perform another transformation. The auxiliary property NEXT_IN_CHAIN_BASE_URI records the base URI of the stylesheet element where this attribute was found.

      See Also:
        Constant Field Values

    - #### NEXT_IN_CHAIN_BASE_URI

          public static final java.lang.String NEXT_IN_CHAIN_BASE_URI

      See Also:
        Constant Field Values

    - #### REQUIRE_WELL_FORMED

          public static final java.lang.String REQUIRE_WELL_FORMED

      saxon:require-well-formed = yes|no.

      Indicates whether a user-supplied ContentHandler requires the stream of SAX events to be well-formed (that is, to have a single element node and no text nodes as children of the root). The default is "no".

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SaxonOutputKeys

          public SaxonOutputKeys()

  - ### Method Detail

    - #### isValidOutputKey

          public static final boolean isValidOutputKey(java.lang.String key)

      Check that a supplied output key is valid